package com.tax.file.model.invoice;

import com.yxcheng.token.utils.DateUtils;

import java.util.Date;

/**
 * @ProjectName: tax-sys-test
 * @Package: com.tax.file.model.invoice
 * @ClassName: InvoiceFileModel
 * @Author: ddx
 * @Description: ${description}
 * @Date: 2021-09-18 10:05
 * @Version: 1.0
 */
public class InvoiceFileModel {

    private String taxno;
    private Date applyDate;
    private String invType;
    private String invTypeCn;
    private Date invDateStart;
    private Date invDateEnd;
    private String invSpec;
    private String processStatus;
    private String processStatusCn;
    private String nationUrlStatus;
    private String nationUrlStatusCn;
    private String nationUrl;
    private String fileMd5;
    private String fileMonth;

    public Date getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(Date applyDate) {
        this.applyDate = applyDate;
    }

    public String getInvType() {
        return invType;
    }

    public void setInvType(String invType) {
        this.invType = invType;
    }

    public Date getInvDateStart() {
        return invDateStart;
    }

    public void setInvDateStart(Date invDateStart) {
        this.invDateStart = invDateStart;
    }

    public Date getInvDateEnd() {
        return invDateEnd;
    }

    public void setInvDateEnd(Date invDateEnd) {
        this.invDateEnd = invDateEnd;
    }

    public String getInvSpec() {
        return invSpec;
    }

    public void setInvSpec(String invSpec) {
        this.invSpec = invSpec;
    }

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    public String getNationUrlStatus() {
        return nationUrlStatus;
    }

    public void setNationUrlStatus(String nationUrlStatus) {
        this.nationUrlStatus = nationUrlStatus;
    }

    public String getNationUrl() {
        return nationUrl;
    }

    public void setNationUrl(String nationUrl) {
        this.nationUrl = nationUrl;
    }

    public String getFileMd5() {
        return fileMd5;
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public String getTaxno() {
        return taxno;
    }

    public void setTaxno(String taxno) {
        this.taxno = taxno;
    }

    public String getFileMonth() {
        return fileMonth;
    }

    public void setFileMonth(String fileMonth) {
        this.fileMonth = fileMonth;
    }

    public String getInvTypeCn() {
        return invTypeCn;
    }

    public void setInvTypeCn(String invTypeCn) {
        this.invTypeCn = invTypeCn;
    }

    public String getProcessStatusCn() {
        return processStatusCn;
    }

    public void setProcessStatusCn(String processStatusCn) {
        this.processStatusCn = processStatusCn;
    }

    public String getNationUrlStatusCn() {
        return nationUrlStatusCn;
    }

    public void setNationUrlStatusCn(String nationUrlStatusCn) {
        this.nationUrlStatusCn = nationUrlStatusCn;
    }

    public String getLogInfo() {
        return getTaxno() + "=" + getInvSpec() + "=" + getInvType() + "=" + getInvTypeCn()
                + "="+ DateUtils.date2Str(getInvDateStart(), DateUtils.date_sdf)
                + "=" + DateUtils.date2Str(getInvDateEnd(), DateUtils.date_sdf)
                + "=" + getFileMd5() + "=" + getProcessStatus() + "=" + getProcessStatusCn()
                + "=" + getNationUrlStatus() + "=" + getNationUrlStatusCn() + "=" + getNationUrl();
    }
}
